\def\update{2005/12/09 v0.1}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{UGent}[\update\ UGent-huisstijl]
%%
%% Hier begint de informatie per faculteit
%%
\DeclareOption{WE}{%
    \def\logofile{WE.pdf}
    \def\facnaam{Faculteit Wetenschappen}
}
\DeclareOption{IR}{%
    \def\logofile{IR.pdf}
    \def\facnaam{Faculteit Ingenieurswetenschappen}
}
%%
%% Einde
%%
\ProcessOptions
%%
\LoadClass[a4paper,10pt,oneside]{article}
\RequirePackage{a4wide}                     % Iets meer tekst op een bladzijde
\RequirePackage[english,dutch]{babel}       % Voor nederlandstalige hyphenatie (woordsplitsing)
\RequirePackage{amsmath}                    % Uitgebreide wiskundige mogelijkheden
\RequirePackage{amssymb}                    % Voor speciale symbolen zoals de verzameling Z, R...
\RequirePackage{url}                        % Om URLs te verwerken
\RequirePackage{graphicx}                   % Om figuren te kunnen verwerken
\RequirePackage[small,bf,hang]{caption2}    % Om de captions wat te verbeteren
\RequirePackage{xspace}                     % Magische spaties na een commando
\RequirePackage[latin1]{inputenc}           % Om niet ascii karakters rechtstreeks te kunnen typen
\RequirePackage{float}                      % Om nieuwe float environments aan te maken. Ook optie H!
\RequirePackage{flafter}                    % Opdat floats niet zouden voorsteken
\RequirePackage{listings}                   % Voor het weergeven van letterlijke text en codelistings
\RequirePackage{marvosym}                   % Om het euro symbool te krijgen
\RequirePackage{textcomp}                   % Voor onder andere graden celsius
\RequirePackage[left=3cm,top=1.4cm,right=1cm,bottom=2.5cm,nohead]{geometry}   % marges instellen
\RequirePackage{helvet}		% We gebruiken Helvetica.  Arial is de Microsoft-versie van Helvetica.  Dit wijzigt de schreefloze letters in helvetica, de rest blijft zoals standaard.
\RequirePackage{fancyhdr}                   % Voor fancy headers en footers.
\pagestyle{fancy}                           % De bladzijdestijl
\RequirePackage{graphics}                   % Om figuren te verwerken.
\newcommand{\npar}{\vspace{0.5cm} \par \noindent}      % witruimte aan paragrafen
% Header (niet aanpassen)
\fancyhf{}                                  % Resetten fancy settings.
\renewcommand{\headrulewidth}{0pt}          % Geen lijn onder de header.
%%
% De footer
{ 
\lfoot{ \sffamily 
        \vspace{1ex} \small
        \facnaam\ - Vakgroep \naam \\
        \address
}
\rfoot{ \sffamily
        \vspace{2.9ex} \small
        \www
}
}\renewcommand{\footrulewidth}{0.1pt}
%%
\def\header{\hspace{-3cm}\includegraphics[width=200mm]{\logofile}
\vspace{-1cm}
\sffamily               % We gebruiken overal een schreefloze letter (hier dus Helvetica)
\begin{flushright}
  Vakgroep \textbf{\naam}
\end{flushright}
\vspace{0.6cm}
}

